name: Docker

on:
  push:
    branches:
      - "main"

env:
  REGISTRY: code.threepop.com
  IMAGE_NAME: ${{ github.repository }}

permissions:
  packages: write
  contents: read

jobs:
  build-and-push-image:
    runs-on: nixos-x86_64-linux
    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Log in to the container registry
        uses: docker/login-action@v3
        with:
          registry: ${{ env.REGISTRY }}
          username: ${{ github.actor }}
          password: ${{ secrets.pat }}

      - name: Build and push Docker image
        uses: docker/build-push-action@v6
        with:
          context: .
          push: true
          tags: |
            ${{ env.REGISTRY }}/${{ env.IMAGE_NAME }}:latest
            ${{ env.REGISTRY }}/${{ env.IMAGE_NAME }}:${{ github.sha }}
